API Reference

Resume failed or paused execution

Requires the workflows:<name> entitlement for the execution. The mutating action resumes a paused run that owns its active command lane, or queues an eligible failed or canceled update-lambda-version retry; other states and unsupported failed or canceled workflows are rejected.

POST/v1/executions/{id}/resume

Requires the workflows: entitlement for the execution. The mutating action resumes a paused run that owns its active command lane, or queues an eligible failed or canceled update-lambda-version retry; other states and unsupported failed or canceled workflows are rejected.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Execution ID.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/executions/string/resume"
{  "execution": {    "cancellationRequestedAt": "string",    "createdAt": "string",    "currentStage": "string",    "executionId": "string",    "finishedAt": "string",    "principalId": "string",    "status": "canceled",    "workflow": "string"  },  "status": "retry_queued"}